//
//  VolumeView.swift
//  LeCountdown
//
//  Created by Laurent Morvillier on 08/03/2023.
//

import SwiftUI
import MediaPlayer
import UIKit

struct VolumeView: UIViewRepresentable {

    func makeUIView(context: Context) -> MPVolumeView {
        let volumeView = MPVolumeView(frame: .zero)
        volumeView.showsLargeContentViewer = false
        return volumeView
    }

    func updateUIView(_ view: MPVolumeView, context: Context) {
        Logger.log("update volume view")
    }

}

struct VolumeView_Previews: PreviewProvider {
    static var previews: some View {
        VolumeView()
    }
}
